.lf 1 sql/drop_rule.cmdsrc
.\" This is -*-nroff-*-
.\" XXX standard disclaimer belongs here....
.\" $Header: /usr/local/devel/pglite/cvs/src/doc/ref/sql/drop_rule.cmdsrc,v 1.1 1996/02/24 01:17:05 jolly Exp $
.TH "DROP RULE" SQL 11/05/95 Postgres95 Postgres95
.XA 2 "Drop Rule"
.SH NAME
drop rule \- removes a current rule from Postgres95 
.SH SYNOPSIS
.(l M
\fBdrop rule\fR rule_name
.)l
.SH DESCRIPTION
This command drops the rule named rule_name from the specified Postgres95
rule system.  Postgres95 will immediately cease enforcing it and will purge
its definition from the system catalogs.
.SH EXAMPLE
.nf
--
--This example drops the rewrite rule example_1
--
drop rule example_1
.fi
.SH "SEE ALSO"
create rule(sql),
drop view(sql).
.SH BUGS
Once a rule is dropped, access to historical information the rule has
written may disappear.
